---
layout: commands
page_title: 'Commands: Trigger create'
sidebar_title: 'trigger create'
description: 'Create and register a trigger URL.'
---

# Waypoint Trigger create

Command: `waypoint trigger create`

Create and register a trigger URL.

@include "commands/trigger-create_desc.mdx"

## Usage

Usage: `waypoint trigger create [options]`

Create a trigger URL to Waypoint Server.

If no sequence number is specified, the trigger will use the "latest" sequence
for the given operation. I.e. if you create a deploy trigger with no specified
build artifact sequence number, it will use whatever the latest artifact sequence is.

#### Global Options

- `-plain` - Plain output: no colors, no animation. The default is false.
- `-app=<string>` (`-a`) - App to target. Certain commands require a single app target for Waypoint configurations with multiple apps. If you have a single app, then this can be ignored.
- `-project=<string>` (`-p`) - Project to target.
- `-workspace=<string>` (`-w`) - Workspace to operate in.

#### Operation Options

- `-label=<key=value>` - Labels to set for this operation. Can be specified multiple times.
- `-local` - True to use a local runner to execute the operation, false to use a remote runner.
  If unset, Waypoint will automatically determine where the operation will occur,
  defaulting to remote if possible.
- `-remote-source=<key=value>` - Override configurations for how remote runners source data. This is specified to the data source type being used in your configuration. This is used for example to set a specific Git ref to run against.
- `-var=<key=value>` - Variable value to set for this operation. Can be specified multiple times.
- `-var-file=<string>` - HCL or JSON file containing variable values to set for this operation. If any "_.auto.wpvars" or "_.auto.wpvars.json" files are present, they will be automatically loaded.

#### Command Options

- `-name=<string>` - The name the trigger configuration should be defined as.
- `-id=<string>` - If specified, will look up an existing trigger by this id and attempt to update the configuration.
- `-description=<string>` - A human readable description about the trigger URL configuration.
- `-trigger-tag=<string>` - A collection of tags to apply to the trigger URL configuration. Can be specified multiple times.
- `-no-auth` - If set, the trigger URL configuration will not require authentication to initiate a request. The default is false.
- `-op=<string>` - The operation the trigger should execute when requested. One possible value from: build, push, deploy, destroy-workspace, destroy-deployment, release, up, init, status-report-deploy, status-report-release.

#### Operation Options

- `-disable-push` - Disables pushing a build artifact to any configured registry for build operations. The default is false.
- `-build-id=<int>` - The sequence number (short id) for the build to use for a deployment operation.
- `-deployment-id=<int>` - The sequence number (short id) for the deployment to use for a deployment operation.

#### Release Operation Options

- `-prune` - If true, will prune deployments that aren't released. The default is false.
- `-prune-retain=<int>` - This sets the number of unreleased deployments to retain when pruning.

@include "commands/trigger-create_more.mdx"
